Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.simplify
Class TaggedLineSegment

    java.lang.Object
      com.vividsolutions.jts.geom.LineSegment
          com.vividsolutions.jts.simplify.TaggedLineSegment

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class TaggedLineSegment
extends LineSegment

A `LineSegment` which is tagged with its location in a parent `Geometry`. Used to index the segments in a geometry and recover the segment locations from the index.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.vividsolutions.jts.geom.LineSegment
`p0, p1`

Constructor Summary
`TaggedLineSegment(Coordinate p0, Coordinate p1)`
`TaggedLineSegment(Coordinate p0, Coordinate p1, Geometry parent, int index)`

Method Summary
`int` | `getIndex()`
`Geometry` | `getParent()`

Methods inherited from class com.vividsolutions.jts.geom.LineSegment
`angle, closestPoint, closestPoints, compareTo, distance, distance, distancePerpendicular, equals, equalsTopo, getCoordinate, getLength, hashCode, intersection, isHorizontal, isVertical, lineIntersection, midPoint, normalize, orientationIndex, orientationIndex, pointAlong, pointAlongOffset, project, project, projectionFactor, reverse, segmentFraction, setCoordinates, setCoordinates, toGeometry, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaggedLineSegment

    public TaggedLineSegment(Coordinate p0,
                             Coordinate p1,
                             Geometry parent,
                             int index)

### TaggedLineSegment

    public TaggedLineSegment(Coordinate p0,
                             Coordinate p1)

Method Detail

### getParent

    public Geometry getParent()

### getIndex

    public int getIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD